/***************************************************************************
 *            burn-local-image.h
 *
 *  dim jui  9 10:54:14 2006
 *  Copyright  2006  Rouquier Philippe
 *  bonfire-app@wanadoo.fr
 ***************************************************************************/

/*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef BURN_LOCAL_IMAGE_H
#define BURN_LOCAL_IMAGE_H

#include <glib.h>
#include <glib-object.h>

#include "burn-job.h"

G_BEGIN_DECLS

#define BONFIRE_TYPE_LOCAL_IMAGE         (bonfire_local_image_get_type ())
#define BONFIRE_LOCAL_IMAGE(o)           (G_TYPE_CHECK_INSTANCE_CAST ((o), BONFIRE_TYPE_LOCAL_IMAGE, BonfireLocalImage))
#define BONFIRE_LOCAL_IMAGE_CLASS(k)     (G_TYPE_CHECK_CLASS_CAST((k), BONFIRE_TYPE_LOCAL_IMAGE, BonfireLocalImageClass))
#define BONFIRE_IS_LOCAL_IMAGE(o)        (G_TYPE_CHECK_INSTANCE_TYPE ((o), BONFIRE_TYPE_LOCAL_IMAGE))
#define BONFIRE_IS_LOCAL_IMAGE_CLASS(k)  (G_TYPE_CHECK_CLASS_TYPE ((k), BONFIRE_TYPE_LOCAL_IMAGE))
#define BONFIRE_LOCAL_IMAGE_GET_CLASS(o) (G_TYPE_INSTANCE_GET_CLASS ((o), BONFIRE_TYPE_LOCAL_IMAGE, BonfireLocalImageClass))

typedef struct _BonfireLocalImage BonfireLocalImage;
typedef struct _BonfireLocalImagePrivate BonfireLocalImagePrivate;
typedef struct _BonfireLocalImageClass BonfireLocalImageClass;

struct _BonfireLocalImage {
	BonfireJob parent;
	BonfireLocalImagePrivate *priv;
};

struct _BonfireLocalImageClass {
	BonfireJobClass parent_class;
};

GType bonfire_local_image_get_type();
BonfireLocalImage *bonfire_local_image_new();

G_END_DECLS

#endif /* BURN_LOCAL_IMAGE_H */
